CREATE TABLE ABONNE
(
  NUMABONNE                   number(10,0) NOT NULL,
  NUMSOUSCRIPT                number(10,0),
  NUMCONTRAT                  number(10,0),
  GENRE                          CHAR(1),
  NOM                         varchar2(50),
  LGT                         varchar2(4),
  CODINSEE                       CHAR(3),
  ADRESSE                     varchar2(   100),
  BOITPOST                    varchar2(15),
  TELDOM                      varchar2(14),
  TELBURO                     varchar2(14),
  TELCEL                      varchar2(14),
  DTABON                         DATE,
  DTSAISIE                       DATE,
  LETWLC                         CHAR(3),
  CODOPE                         CHAR(10),
  RUTA                        number(10,0),
  CBOR                           CHAR(4),
  NATION                      varchar2(10),
  CAUTION            DOUBLE PRECISION,
  TRAVAIL                     varchar2(20),
  CODRGT                         CHAR(4),
  NUMTVA                      varchar2(10),
  SOLDE              DOUBLE PRECISION,
  LOCALIZATION                   CHAR(5),
  CEDULA                      varchar2(20),
  NUMID                       number(10,0),
  INTERNET                    varchar2(62),
  HABITACION                 number(5,0),
  LIMITPPV           DOUBLE PRECISION,
  ASUJETIV                       CHAR(1)  DEFAULT 'F' NOT NULL,
  VENCELGT                       DATE,
  TIPO                        varchar2(1),
  NITREAL                     varchar2(25),
  NUME_HOGAR                  varchar2(8),
  CPROV                       varchar2(3),
  CCANTON                     varchar2(3),
  CDISTRI                     varchar2(3),
  CLAVEDLA                    varchar2(8),
  TIPOFACT                       CHAR(4),
  TEMPORAL                    number(10,0),
  TELFAX                      varchar2(14),
  MULTA                          CHAR(1) DEFAULT 'F' NOT NULL,
  GESTION                     varchar2(1),
  MOTIVO_GESTION              varchar2(3),
  FECHA_GESTION                  DATE,
  GESTOR                      varchar2(10),
  CONSTRAINT PK_ABONNE PRIMARY KEY (
  NUMABONNE
  )
)
;

CREATE TABLE ABONNEPPV
(
  NUMORDREPPV                number(10,0) NOT NULL,
  NUMABONNE                  number(10,0),
  DTSAISIE                   DATE,
  NUMTRANSACDLA              number(10,0),
  NUMEVENT                   number(10,0),
  NUMSERIE                      CHAR(15),
  DTFACT                        DATE,
  CONSTRAINT PK_ABONNEPPV PRIMARY KEY (
  NUMORDREPPV
  )
)
;

CREATE TABLE ABONNEPPVPROB
(
  NUMORDREPPV              number(10,0) NOT NULL,
  DTSAISIE                    DATE,
  NUMSERIE                    CHAR(15),
  NUMABONNE                number(10,0),
    CONSTRAINT PK_ABONNEPPVPROB PRIMARY KEY (
      NUMORDREPPV
    )
)
;

CREATE TABLE ACTUALIZACION
(
  NUMABONNE              number(10,0) NOT NULL,
  OPTICNODE              varchar2(9),
  NUMTAP                 varchar2(9),
  SORTIETAP             number(5,0),
  CONSTRAINT PK_ACTUALIZACION PRIMARY KEY (
  NUMABONNE
    )
)
;

CREATE TABLE AG
(
  NUMABONNE              number(10,0) NOT NULL,
  SOLD1         DOUBLE PRECISION,
  SOLD2         DOUBLE PRECISION,
  SOLD3         DOUBLE PRECISION,
  SOLD4         DOUBLE PRECISION,
  SOLD5         DOUBLE PRECISION,
    CONSTRAINT PK_AG PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE AMNETINFO
(
  FICHEID                    number(10,0) NOT NULL,
  PRECIOS                       BLOB,
  CANALES                       BLOB,
  NOTICIAS                      BLOB,
  TELEFONO                      BLOB,
  PROMOCION                     BLOB,
  AVERIAS                       BLOB,
  COBERINTERNET                 BLOB,
  VENTAS                        BLOB,
  RHUMANO                       BLOB,
  INFOLOGIC                     BLOB,
  INFORADIOS                    BLOB,
  CONSTRAINT PK_AMNETINFO PRIMARY KEY (
  FICHEID
    )
)
;

CREATE TABLE AVERINTERNET
(
  NUMLLAMADA               number(10,0) NOT NULL,
  NUMABONNE                number(10,0) NOT NULL,
  NUMOT                    number(10,0),
  FECHAINI                    DATE,
  HORAINI                  varchar2(5),
  USUARIOINI               varchar2(10),
  MOTIVO                   varchar2(4),
  RESPUESTA                varchar2(4),
  OBSERVACION              LONG,
  ESTADO                      CHAR(1) NOT NULL,
  GRUPOLATE                varchar2(4),
  FECHAFINAL                  DATE,
  HORAFINAL                varchar2(5),
  USUARIOFIN               varchar2(10),
  NUMCASO                  number(10,0),
  PRIORIDAD                number(10,0),
    CONSTRAINT PK_AVERINTERNET PRIMARY KEY (
      NUMLLAMADA
    )
)
;

CREATE TABLE BITACORA_NODOS
(
  CODIGO_HEADEND              varchar2(5) NOT NULL,
  CODIGO_HUB                  varchar2(5) NOT NULL,
  NUMNODE                     CHAR(10) NOT NULL,
  FECHA                          DATE NOT NULL,
  HORA                        number(10,0) NOT NULL,
  ESTADO                      number(10,0) NOT NULL,
  USUARIO                     varchar2(10) NOT NULL,
  COMENTARIO                  varchar2(250),
    CONSTRAINT PK_BITACORA_NODOS PRIMARY KEY (
      CODIGO_HEADEND,
      CODIGO_HUB,
      NUMNODE,
      FECHA,
      HORA,
      ESTADO
    )
)
;

CREATE TABLE BLOCNOTE
(
  NUMBN                  number(10,0) NOT NULL,
  NUMABONNE              number(10,0),
  DTSAISIE                  DATE,
  LIB                    varchar2(50),
  CODOPE                 varchar2(10),
    CONSTRAINT PK_BLOCNOTE PRIMARY KEY (
      NUMBN
    )
)
;

CREATE TABLE CABLEMODEMSERV
(
  ORDRE                    number(10,0) NOT NULL,
  NUMSERIE                 varchar2(40),
  MACADDRESS               varchar2(15),
  TIPOEQUIPO               varchar2(12),
  FECHAVENCIM                 DATE,
  PROPIETARIO              varchar2(12),
  NUMCLIALOPA              varchar2(10),
  POLITICA                    CHAR(10),
    CONSTRAINT PK_CABLEMODEMSERV PRIMARY KEY (
      ORDRE
    )
)
;

CREATE TABLE CAJACAJERO
(
  NUMMOUVEMENT                       number(10,0) NOT NULL,
  HEURE                                 CHAR(5),
  DTCPT                                 DATE,
  CASHIER                               CHAR(10),
  CASHEFECTIVOCOL           DOUBLE PRECISION,
  CASHEFECTIVODOL           DOUBLE PRECISION,
  CASHCHEQUECOL             DOUBLE PRECISION,
  CASHCHEQUEDOL             DOUBLE PRECISION,
  CASHBANCODEPOSIT          DOUBLE PRECISION,
  CASHDIFER                 DOUBLE PRECISION,
  CASHVOUCHERCREST          DOUBLE PRECISION,
  CASHVOUCHERCREDOMATIC     DOUBLE PRECISION,
  CASHVOUCHERAVAL           DOUBLE PRECISION,
  CASHDIFERCANAL            DOUBLE PRECISION,
  CASHDIFERSISTEMAS         DOUBLE PRECISION,
  COMENTARIO                               CHAR(   200),
  CAMBIO                    DOUBLE PRECISION,
  COMISION                  DOUBLE PRECISION,
  DIFERCAMBIO               DOUBLE PRECISION,
  DIFERCORTE                DOUBLE PRECISION,
  PCOBRAREMPLEA             DOUBLE PRECISION,
  DIFERCAJERO               DOUBLE PRECISION,
    CONSTRAINT PK_CAJACAJERO PRIMARY KEY (
      NUMMOUVEMENT
    )
)
;

CREATE TABLE CAJAPRINC
(
  NUMMOUVEMENT                       number(10,0) NOT NULL,
  HEURE                                 CHAR(5),
  CODOPE                                CHAR(10),
  DTCPT                                 DATE,
  NUMLOTE                            varchar2(10),
  CASHIER                               CHAR(10),
  TOTEFECTIVO               DOUBLE PRECISION,
  TOTCHEQUE                 DOUBLE PRECISION,
  TOTBANCRECEN              DOUBLE PRECISION,
  TOTCREDOMATIC             DOUBLE PRECISION,
  TOTAVAL                   DOUBLE PRECISION,
  TOTOTRO                   DOUBLE PRECISION,
  TOTCREST                  DOUBLE PRECISION,
  TOTBANCO                  DOUBLE PRECISION,
  CASHEFECTIVOCOL           DOUBLE PRECISION,
  CASHEFECTIVODOL           DOUBLE PRECISION,
  CASHCHEQUECOL             DOUBLE PRECISION,
  CASHCHEQUEDOL             DOUBLE PRECISION,
  CASHBANCODEPOSIT          DOUBLE PRECISION,
  CASHDIFER                 DOUBLE PRECISION,
  CASHVOUCHERCREST          DOUBLE PRECISION,
  CASHVOUCHERCREDOMATIC     DOUBLE PRECISION,
  CASHVOUCHERAVAL           DOUBLE PRECISION,
  CASHDIFERCANAL            DOUBLE PRECISION,
  CASHDIFERSISTEMAS         DOUBLE PRECISION,
  COMENTARIO                               CHAR(   200),
  CAMBIO                    DOUBLE PRECISION,
  COMISION                  DOUBLE PRECISION,
  TOTBSJ                    DOUBLE PRECISION,
  DIFERCAMBIO               DOUBLE PRECISION,
  DIFERCORTE                DOUBLE PRECISION,
  PCOBRAREMPLEA             DOUBLE PRECISION,
  DIFERCAJERO               DOUBLE PRECISION,
  TIPO                                  CHAR(5),
  OFICINA                               CHAR(4),
  AVALMILLAS                DOUBLE PRECISION,
  TOTAVALMILLAS             DOUBLE PRECISION,
  CASHAVALMILLAS            DOUBLE PRECISION,
  DIFERAVALMILLAS           DOUBLE PRECISION,
    CONSTRAINT PK_CAJAPRINC PRIMARY KEY (
      NUMMOUVEMENT
    )
)
;

CREATE TABLE CAMBIOCOLILLA
(
  NUMCAMBIO                 number(10,0)  NOT NULL,
  NUMABONNE                 number(10,0)  NOT NULL,
  NUMSOUSCRIPT              number(10,0),
  NOM                       varchar2(50),
  DTSAISIE                     DATE,
  CODOPE                    varchar2(10),
    CONSTRAINT PK_CAMBIOCOLILLA PRIMARY KEY (
      NUMCAMBIO
    )
)
;

CREATE TABLE CANTONES
(
  CCANTON              varchar2(3) NOT NULL,
  NCANTON              varchar2(50),
  CPROV                varchar2(2) NOT NULL,
  CPAIS                varchar2(3) NOT NULL,
    CONSTRAINT PK_CANTONES PRIMARY KEY (
      CCANTON,
      CPROV,
      CPAIS
    )
)
;

CREATE TABLE CDDTRCONDI
(
  NUMABONNE              number(10,0),
  OFICIAL                   CHAR(10),
  FECHA                     DATE,
  ESTCTA                 varchar2(1),
  INST                   varchar2(1),
  AVE                    varchar2(1),
  TEXT                   varchar2(1),
  TINST                  varchar2(1),
  DEV                    varchar2(1),
  DES                    varchar2(1),
  RECO                   varchar2(1),
  PREM                   varchar2(1),
  STEC                   varchar2(1),
  SALDO                  varchar2(1),
  VENTAS                 varchar2(1),
  VARIOS                 varchar2(1),
  OBSERV                 varchar2(   100),
  TELEFONO               varchar2(14),
  EMISOR                 varchar2(50),
  CMBTAR                 varchar2(1),
  EXCTAR                 varchar2(1),
  INCTAR                 varchar2(1)
)
;

CREATE TABLE CIUDADES
(
  CODIGO                   number(10,0) NOT NULL,
  DESCRIPCION              varchar2(50),
    CONSTRAINT PK_CIUDADES PRIMARY KEY (
      CODIGO
    )
)
;

CREATE TABLE CLOSING
(
  DTCLOS                 DATE NOT NULL,
    CONSTRAINT PK_CLOSING PRIMARY KEY (
      DTCLOS
    )
)
;

CREATE TABLE COMMUNE
(
  CODINSEE                 CHAR(3) NOT NULL,
  NOM                      CHAR(25),
  NBPREV                number(10,0),
  NUMSOC               number(5,0),
    CONSTRAINT PK_COMMUNE PRIMARY KEY (
      CODINSEE
    )
)
;

CREATE TABLE COMPTA
(
  PERIODE                 CHAR(7) NOT NULL,
  CAMBIO      DOUBLE PRECISION,
  STATUS                  CHAR(4),
    CONSTRAINT PK_COMPTA PRIMARY KEY (
      PERIODE
    )
)
;

CREATE TABLE COMPTE
(
  CPTNUM              varchar2(20) NOT NULL,
  LIB                 varchar2(50)
)
;

CREATE TABLE CONFIGURACION
(
  DESC3              DOUBLE PRECISION,
  DESC6              DOUBLE PRECISION,
  DESC9              DOUBLE PRECISION,
  DESC12             DOUBLE PRECISION,
  TIPOMULTA                      CHAR(1),
  MULTA              DOUBLE PRECISION,
  PASSENCRYP                     CHAR(1),
  AVALMILLAS         DOUBLE PRECISION,
  AVALMONTO          DOUBLE PRECISION,
  FACTORAVAL         DOUBLE PRECISION,
  RUTA_PPV_WIN                varchar2(30),
  RUTA_PPV_LINUX              varchar2(30),
  ALOPA                          CHAR(1) DEFAULT 'F' NOT NULL,
  PNODESCO                       CHAR(4),
  PDESCOTRAS                     CHAR(4),
  PDESCONORM                     CHAR(4),
  COD_DEPOSITO                   CHAR(4),
  COST_INS                       CHAR(4)
)
;

CREATE TABLE CONTACTOS
(
  NUMCONTACTO              number(10,0) NOT NULL,
  NUMABONNE                number(10,0) NOT NULL,
  NOMBRE                   varchar2(50),
  TELEFONO1                varchar2(10),
  TELEFONO2                varchar2(10) NOT NULL,
  EMAIL                    varchar2(50),
  APARTADO                 varchar2(15)
)
;

CREATE TABLE CONTRAT
(
  TYPCTRT                      CHAR(4),
  DTLASTMODIF                  DATE,
  DTRESI                       DATE,
  CODRESI                      CHAR(4),
  CODRGT                       CHAR(4),
  CODVDS                       CHAR(4),
  CODPROV                      CHAR(4),
  COMENTARIO                   varchar2(   100),
  NUMABONNE                 number(10,0) NOT NULL,
  AMPLIACION                   CHAR(1),
  INSINMEDIATA                 CHAR(1),
  TIPOTRABAJO                  CHAR(4),
    CONSTRAINT PK_CONTRAT PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE CORREOS
(
  NUMMAIL                 number(10,0) NOT NULL,
  ORDRE                   number(10,0),
  NUMINTER                number(10,0),
  LOGIN                   varchar2(25),
  DOMINIO                 varchar2(25),
  PASSWD                  varchar2(20),
  CAPACITY       DOUBLE PRECISION,
  ESTADO                     CHAR(1),
  DTSAISIE                   DATE,
  DTMENS                     DATE,
  DTRESI                     DATE,
  MOVIMIENTO                 CHAR(3),
    CONSTRAINT PK_CORREOS PRIMARY KEY (
      NUMMAIL
    )
)
;

CREATE TABLE CREDFISCAL
(
  NUMABONNE                number(10,0) NOT NULL,
  NUMREGISTRO              varchar2(10),
  ACTIVIDAD                varchar2(50),
    CONSTRAINT PK_CREDFISCAL PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE DECOLUNES
(
  NUMABONNE              number(10,0) NOT NULL,
  SALDO         DOUBLE PRECISION,
  CODOPE                    CHAR(10),
  DTSAISIE                  DATE,
  NOM                    varchar2(50),
  JOUR                   varchar2(10),
  CODINSEE                  CHAR(5),
    CONSTRAINT PK_DECOLUNES PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE DEMENAGE
(
  NUMABONNE                 number(10,0) NOT NULL,
  ADRESSE                      CHAR(   100),
  CODINSEE                     CHAR(5),
  TELDOM                       CHAR(14),
  DTRACC                       DATE,
  CODINT                       CHAR(4),
  COMENTARIO                      CHAR(   100),
  LOCA                         CHAR(11),
  LOCALIZATION                 CHAR(11),
  OPTICNODE                    CHAR(10),
    CONSTRAINT PK_DEMENAGE PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE DEPOSITOS
(
  NUMABONNE              number(10,0) NOT NULL,
  DEPOSITO      DOUBLE PRECISION,
  ESTADO                    CHAR(1) DEFAULT 'F' NOT NULL,
  RECIBO                 number(10,0),
  CODOPE                 varchar2(10),
  FECHA                     DATE,
    CONSTRAINT PK_DEPOSITOS PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE DERECHOS_REPORTE
(
  GRUPO                   CHAR(4),
  REPORTE              varchar2(50)
)
;

CREATE TABLE DETALLE_SOLICITUD_CP
(
  ID_DETALLE                number(10,0) NOT NULL,
  ID_SOLICITUD              number(10,0) NOT NULL,
  ORDRE                     number(10,0) NOT NULL,
  CODPROD                      CHAR(4) NOT NULL,
  NUEVO_PRECIO     DOUBLE PRECISION,
    CONSTRAINT PK_DETALLE_SOLICITUD_CP PRIMARY KEY (
      ID_DETALLE
    )
)
;

CREATE TABLE DETEC
(
  NUMPIECE              number(10,0) NOT NULL,
  CODPROD                  CHAR(4) NOT NULL,
  MTT          DOUBLE PRECISION,
  CODTVA                   CHAR(4),
  NUMJRNL                  CHAR(3),
  CANTIDAD              number(10,0),
    CONSTRAINT PK_DETEC PRIMARY KEY (
      NUMPIECE,
      CODPROD
    )
)
;

CREATE TABLE DETECHQ
(
  NUMPIECE                     number(10,0) NOT NULL,
  NUMCHQ                          CHAR(10),
  BANKCHQ                         CHAR(25),
  EMISOR                       varchar2(25),
  NUMCARD                      varchar2(16),
  NUMAUTORIZ                   varchar2(16),
  TARJETAHABIENTE              varchar2(40),
  MILLAS              DOUBLE PRECISION,
  PAQUETE                         CHAR(4),
    CONSTRAINT PK_DETECHQ PRIMARY KEY (
      NUMPIECE
    )
)
;

CREATE TABLE DETINTER
(
  NUMINTER                number(10,0) NOT NULL,
  CODPROD                    CHAR(4) NOT NULL,
  QTEDMD                 number(5,0),
  MOVIMIENTO                 CHAR(3),
  ESTADO                     CHAR(1) DEFAULT 'F' NOT NULL,
  ORDREVTE                number(10,0) NOT NULL,
  TIPO                    varchar2(1),
  MOTIVO                     CHAR(4),
    CONSTRAINT PK_DETINTER PRIMARY KEY (
      NUMINTER,
      ORDREVTE
    )
)
;

CREATE TABLE DETINTER_TEMP
(
  NUMINTER                number(10,0) NOT NULL,
  ORDRE                   number(10,0) NOT NULL,
  NUMSERIE                   CHAR(15),
  CODPROD                    CHAR(4) NOT NULL,
  TIPOACCION                 CHAR(3),
  ACCRESULT               varchar2(50),
  OPTICNODE                  CHAR(10)
)
;

CREATE TABLE DETINTERMAT
(
  NUMINTER              number(10,0) NOT NULL,
  CODMAT                   CHAR(9) NOT NULL,
  QTEINST              number(5,0),
    CONSTRAINT PK_DETINTERMAT PRIMARY KEY (
      NUMINTER,
      CODMAT
    )
)
;

CREATE TABLE DICO
(
  OBJID                    number(10,0),
  "VERSION"               number(5,0),
  "NAME"                   varchar2(31),
  ALIASNAME                varchar2(31),
  TYPEID                   number(10,0),
  MISCINFO1                number(10,0),
  MISCINFO2                number(10,0),
  SRCOBJID                 number(10,0),
  SRCVERSION              number(5,0),
  DESTOBJID                number(10,0),
  DESTVERSION             number(5,0),
  OUTOFDATE                varchar2(1),
  CREATEDATE                  DATE,
  LASTUPDATE                  DATE,
  INFOBLOB                    BLOB,
  MISCINFO3                number(10,0)
)
;

CREATE TABLE DISTRITOS
(
  CDISTRI              varchar2(3) NOT NULL,
  NDISTRI              varchar2(50),
  CCANTON              varchar2(3) NOT NULL,
  CPROV                varchar2(2) NOT NULL,
  CPAIS                varchar2(3) NOT NULL,
    CONSTRAINT PK_DISTRITOS PRIMARY KEY (
      CDISTRI,
      CCANTON,
      CPROV,
      CPAIS
    )
)
;

CREATE TABLE DROITS
(
  DROIT                           CHAR(4) NOT NULL,
  LIB                             CHAR(25),
  SOCIO                           CHAR(1) DEFAULT 'F' NOT NULL,
  NUEVOSOCIO                      CHAR(1) DEFAULT 'F' NOT NULL,
  CONSULTSOCIO                    CHAR(1) DEFAULT 'F' NOT NULL,
  MODIFSOCIO                      CHAR(1) DEFAULT 'F' NOT NULL,
  MODIFINTERNET                   CHAR(1) DEFAULT 'F' NOT NULL,
  CAMBIOSERV                      CHAR(1) DEFAULT 'F' NOT NULL,
  REACTIV                         CHAR(1) DEFAULT 'F' NOT NULL,
  COMPLETEOT                      CHAR(1) DEFAULT 'F' NOT NULL,
  MODIFOT                         CHAR(1) DEFAULT 'F' NOT NULL,
  DESCO                           CHAR(1) DEFAULT 'F' NOT NULL,
  RECO                            CHAR(1) DEFAULT 'F' NOT NULL,
  TRASLADO                        CHAR(1) DEFAULT 'F' NOT NULL,
  COLILLA                         CHAR(1) DEFAULT 'F' NOT NULL,
  CONTA                           CHAR(1) DEFAULT 'F' NOT NULL,
  FACTURA                         CHAR(1) DEFAULT 'F' NOT NULL,
  PAGOCONLOTE                     CHAR(1) DEFAULT 'F' NOT NULL,
  REIMBULSO                       CHAR(1) DEFAULT 'F' NOT NULL,
  NOTACRED                        CHAR(1) DEFAULT 'F' NOT NULL,
  DEVUELTO                        CHAR(1) DEFAULT 'F' NOT NULL,
  NOTADEBITO                      CHAR(1) DEFAULT 'F' NOT NULL,
  PAGOSINLOTE                     CHAR(1) DEFAULT 'F' NOT NULL,
  RECONCIL                        CHAR(1) DEFAULT 'F' NOT NULL,
  LOTECAJA                        CHAR(1) DEFAULT 'F' NOT NULL,
  TRANSFCAJA                      CHAR(1) DEFAULT 'F' NOT NULL,
  CIERRE                          CHAR(1) DEFAULT 'F' NOT NULL,
  LOTENC                          CHAR(1) DEFAULT 'F' NOT NULL,
  TRANSFNC                        CHAR(1) DEFAULT 'F' NOT NULL,
  EDICION                         CHAR(1) DEFAULT 'F' NOT NULL,
  EDTCOBRADOR                     CHAR(1) DEFAULT 'F' NOT NULL,
  EXPORT                          CHAR(1) DEFAULT 'F' NOT NULL,
  PREMIUM                         CHAR(1) DEFAULT 'F' NOT NULL,
  TERMINAL                        CHAR(1) DEFAULT 'F' NOT NULL,
  PELICULAS                       CHAR(1) DEFAULT 'F' NOT NULL,
  COBRADOR                        CHAR(1) DEFAULT 'F' NOT NULL,
  MODIFLOTECOB                    CHAR(1) DEFAULT 'F' NOT NULL,
  MODIFCOB                        CHAR(1) DEFAULT 'F' NOT NULL,
  COBCREARCHIVO                   CHAR(1) DEFAULT 'F' NOT NULL,
  COBTRANSARCHIVO                 CHAR(1) DEFAULT 'F' NOT NULL,
  FACTPRORAT                      CHAR(1) DEFAULT 'F' NOT NULL,
  RED                             CHAR(1) DEFAULT 'F' NOT NULL,
  FACTURACION                     CHAR(1) DEFAULT 'F' NOT NULL,
  EDTSOCIO                        CHAR(1) DEFAULT 'F' NOT NULL,
  EDTCLIENTE                      CHAR(1) DEFAULT 'F' NOT NULL,
  EDTCONTA                        CHAR(1) DEFAULT 'F' NOT NULL,
  EDTRED                          CHAR(1) DEFAULT 'F' NOT NULL,
  EDTDIVERSO                      CHAR(1) DEFAULT 'F' NOT NULL,
  EDTOT                           CHAR(1) DEFAULT 'F' NOT NULL,
  ADMINISTRACION                  CHAR(1) DEFAULT 'F' NOT NULL,
  AGENDA                          CHAR(1) DEFAULT 'F' NOT NULL,
  PARAMETRO                       CHAR(1) DEFAULT 'F' NOT NULL,
  DECOFALTAPAGO                   CHAR(1) DEFAULT 'F' NOT NULL,
  CAMBIODIR                       CHAR(1) DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_DROITS PRIMARY KEY (
      DROIT
    )
)
;

CREATE TABLE ECRITCPT
(
  NUMPIECE                  number(10,0) NOT NULL,
  NUMABONNE                 number(10,0),
  PERIODE                      CHAR(7),
  DTCPT                        DATE,
  DTSAISIE                     DATE,
  NUMJRNL                      CHAR(3),
  LIB                       varchar2(50),
  NUMFACT                   number(10,0),
  MTTDEB           DOUBLE PRECISION,
  MTTCRED          DOUBLE PRECISION,
  MDRGLT                       CHAR(4),
  MOTIFIMP                     CHAR(4),
  CODOPE                       CHAR(10),
  ENCAISSE         DOUBLE PRECISION,
  RESTE            DOUBLE PRECISION,
  CODINSEE                     CHAR(5),
  TYPEC                        CHAR(4),
  CBOR                         CHAR(4),
  RESUMANU                  number(10,0),
  NUMLOTE                   varchar2(10),
  NUMFACTURA                number(10,0),
  RECONCIL                     CHAR(1),
  IMPRESO                   varchar2(1),
  WORKTO                       CHAR(4),
  FACTURA                   varchar2(8),
  FECHA_DESDE                  DATE,
  FECHA_HASTA                  DATE,
  CODIGODEPAGO              number(10,0),
    CONSTRAINT PK_ECRITCPT PRIMARY KEY (
      NUMPIECE
    )
)
;

CREATE TABLE ESTADO_NODO
(
  ESTADO               number(10,0) NOT NULL,
  DETALLE              varchar2(20),
  TIPO                 varchar2(1),
    CONSTRAINT PK_ESTADO_NODO PRIMARY KEY (
      ESTADO
    )
)
;

CREATE TABLE ESTCTA_031
(
  NUMABONNE                     number(10,0) NOT NULL,
  NUMSOUSCRIPT                  number(10,0),
  NOM                           varchar2(50),
  ADRESSE                       varchar2(   100),
  PERIODE                          CHAR(7),
  DT                               DATE,
  TITULOSALDO                   varchar2(20),
  SOLDMESANTES         DOUBLE PRECISION,
  SERVICIO1                     varchar2(25),
  SERVMTT1             DOUBLE PRECISION,
  SERVICIO2                     varchar2(25),
  SERVMTT2             DOUBLE PRECISION,
  SERVICIO3                     varchar2(25),
  SERVMTT3             DOUBLE PRECISION,
  SERVICIO4                     varchar2(25),
  SERVMTT4             DOUBLE PRECISION,
  NUEVOSALDO           DOUBLE PRECISION,
  RUTA                          number(10,0),
  VENCIMIENTO                      DATE,
  TELDOM                        varchar2(14),
  DESDE                            DATE,
  HASTA                            DATE,
  MTT5                 DOUBLE PRECISION,
  CBOR                             CHAR(4),
  PAGODESPUES          DOUBLE PRECISION,
  MULTAPLICADA                     CHAR(4),
  NUEVOSALDOCOL        DOUBLE PRECISION,
  PAGOOFICINA                      CHAR(10),
  FACTURA                       number(10,0),
  SERVICIO5                     varchar2(25),
  SERVMTT5             DOUBLE PRECISION,
  SERVICIO6                     varchar2(25),
  SERVMTT6             DOUBLE PRECISION,
  SERVICIO7                     varchar2(25),
  SERVMTT7             DOUBLE PRECISION,
  SERVICIO8                     varchar2(25),
  SERVMTT8             DOUBLE PRECISION,
  SERVICIO9                     varchar2(25),
  SERVMTT9             DOUBLE PRECISION,
  SERVICIO10                    varchar2(25),
  SERVMTT10            DOUBLE PRECISION,
  MULTA                DOUBLE PRECISION,
  FACTURA_TC                    number(10,0),
  MONTO_MULTA          DOUBLE PRECISION,
  MONTO_FACTURA        DOUBLE PRECISION,
  MONTO_FACTURA_TC     DOUBLE PRECISION,
  NOTA_CRED1                    varchar2(50),
  MTT_NOTA_CRED1       DOUBLE PRECISION,
  NOTA_CRED2                    varchar2(50),
  MTT_NOTA_CRED2       DOUBLE PRECISION,
  NOTA_CRED3                    varchar2(50),
  MTT_NOTA_CRED3       DOUBLE PRECISION,
  NOTA_CREDTC1                  varchar2(50),
  MTT_NOTA_CREDTC1     DOUBLE PRECISION,
  NOTA_CREDTC2                  varchar2(50),
  MTT_NOTA_CREDTC2     DOUBLE PRECISION,
  NOTA_CREDTC3                  varchar2(50),
  MTT_NOTA_CREDTC3     DOUBLE PRECISION,
  QTYS1                        number(5,0),
  QTYS2                        number(5,0),
  QTYS3                        number(5,0),
  QTYS4                        number(5,0),
  QTYS5                        number(5,0),
  QTYS6                        number(5,0),
  QTYS7                        number(5,0),
  QTYS8                        number(5,0),
  QTYS9                        number(5,0),
  QTYS10                       number(5,0),
  TOTAL_IMPUESTOS      DOUBLE PRECISION,
  ASUJETI                          CHAR(4),
  MONTOMES             DOUBLE PRECISION,
  DESDE1                           DATE,
  HASTA1                           DATE,
  CODPROD1                         CHAR(4),
  CODPROD2                         CHAR(4),
  CODPROD3                         CHAR(4),
  CODPROD4                         CHAR(4),
  CODPROD5                         CHAR(4),
  CODPROD6                         CHAR(4),
  CODPROD7                         CHAR(4),
  CODPROD8                         CHAR(4),
  CODPROD9                         CHAR(4),
  CODPROD10                        CHAR(4),
  ASUJETIV                         CHAR(1) DEFAULT 'F' NOT NULL,
  ULT_PAGO                         DATE
)
;

CREATE TABLE FACTRECIBO
(
  NUMABONNE                  number(10,0) NOT NULL,
  NUMSOUSCRIPT               number(10,0),
  NOMBREPAGADOR              varchar2(50),
  ADRESSE                    varchar2(   100),
  PERIODE                       CHAR(7),
  RUTA                       number(10,0),
  TELDOM                     varchar2(14),
  NOMBRECBOR                 varchar2(25),
  SERV0                      varchar2(25),
  MTT0              DOUBLE PRECISION,
  MTT0G             DOUBLE PRECISION,
  MTTDOL0           DOUBLE PRECISION,
  SERV1                      varchar2(25),
  MTT1              DOUBLE PRECISION,
  MTT1G             DOUBLE PRECISION,
  MTTDOL1           DOUBLE PRECISION,
  SERV2                      varchar2(25),
  MTT2              DOUBLE PRECISION,
  MTT2G             DOUBLE PRECISION,
  MTTDOL2           DOUBLE PRECISION,
  SERV3                      varchar2(25),
  MTT3              DOUBLE PRECISION,
  MTT3G             DOUBLE PRECISION,
  MTTDOL3           DOUBLE PRECISION,
  SERV4                      varchar2(25),
  MTT4              DOUBLE PRECISION,
  MTT4G             DOUBLE PRECISION,
  MTTDOL4           DOUBLE PRECISION,
  SERV5                      varchar2(25),
  MTT5              DOUBLE PRECISION,
  MTT5G             DOUBLE PRECISION,
  MTTDOL5           DOUBLE PRECISION,
  SERV6                      varchar2(25),
  MTT6              DOUBLE PRECISION,
  MTT6G             DOUBLE PRECISION,
  MTTDOL6           DOUBLE PRECISION,
  SERV7                      varchar2(25),
  MTT7              DOUBLE PRECISION,
  MTT7G             DOUBLE PRECISION,
  MTTDOL7           DOUBLE PRECISION,
  SERV8                      varchar2(25),
  MTT8              DOUBLE PRECISION,
  MTT8G             DOUBLE PRECISION,
  MTTDOL8           DOUBLE PRECISION,
  SERV9                      varchar2(25),
  MTT9              DOUBLE PRECISION,
  MTT9G             DOUBLE PRECISION,
  MTTDOL9           DOUBLE PRECISION,
  SERV10                     varchar2(25),
  MTT10             DOUBLE PRECISION,
  MTT10G            DOUBLE PRECISION,
  MTTDOL10          DOUBLE PRECISION,
  SERV11                     varchar2(25),
  MTT11             DOUBLE PRECISION,
  MTT11G            DOUBLE PRECISION,
  MTTDOL11          DOUBLE PRECISION,
  TVAPROD           DOUBLE PRECISION,
  TOTALAPAGAR       DOUBLE PRECISION,
  DESDEHASTA                 varchar2(20),
  FECHASPAGOS                   CHAR(36),
  FACTURA                    number(10,0),
    CONSTRAINT PK_FACTRECIBO PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE HEADEND
(
  CODIGO_HEADEND              varchar2(5) NOT NULL,
  NOMBRE_HEADEND              varchar2(25),
    CONSTRAINT PK_HEADEND PRIMARY KEY (
      CODIGO_HEADEND
    )
)
;

CREATE TABLE HISTERMINAL
(
  NUMHIST                     number(10,0) NOT NULL,
  NUMSERIE                       CHAR(15),
  NUMABONNE                   number(10,0),
  FECHAMOVI                      DATE,
  CODOPE                      varchar2(10),
  TIPOMOVIMIENTO                 CHAR(3),
  COMENTARIO                     varchar2(50),
    CONSTRAINT PK_HISTERMINAL PRIMARY KEY (
      NUMHIST
    )
)
;

CREATE TABLE HISTORICO_NUMCONTRAT
(
  NUMABONNE                     number(10,0) NOT NULL,
  NUMCONTRAT_VIEJO              number(10,0),
  NOM                           varchar2(50),
    CONSTRAINT PK_HISTORICO_NUMCONTRAT PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE HUB
(
  CODIGO_HUB                  varchar2(5) NOT NULL,
  NOMBRE_HUB                  varchar2(25),
  CODIGO_HEADEND              varchar2(5) NOT NULL,
    CONSTRAINT PK_HUB PRIMARY KEY (
      CODIGO_HUB,
      CODIGO_HEADEND
    )
)
;

CREATE TABLE IMPAYE
(
  NUMIMP                 number(10,0) NOT NULL,
  NUMPIECE               number(10,0) NOT NULL,
  NUMABONNE              number(10,0) NOT NULL,
  PERIODE                   DATE,
  MTT           DOUBLE PRECISION,
  MOTIF                     CHAR(4),
  LIB                       CHAR(25),
  DTPAIE                    DATE,
  ESTADO                    CHAR(1) DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_IMPAYE PRIMARY KEY (
      NUMIMP
    )
)
;

CREATE TABLE INTERNET
(
  NUMABONNE                    number(10,0) NOT NULL,
  SYSTEMEOPE                   varchar2(11),
  RACSANAME                    varchar2(50),
  EQUIPEMENT                   varchar2(20),
  CONTACTO                     varchar2(25),
  LOGINCOMMUT                  varchar2(25),
  CABLEMODEM                   varchar2(15),
  RACSANUMCONTRAT              number(10,0),
  TIPOCABLEMODEM                  CHAR(6),
  USERNAME                     varchar2(50),
  FECHAVENCE                      DATE,
  ORDRE                        number(10,0),
    CONSTRAINT PK_INTERNET PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE INTERVENANT
(
  CODINT                    CHAR(4) NOT NULL,
  NOM                    varchar2(42),
  ACTIVIDAD                 CHAR(3),
  TIPO                      CHAR(4),
  CODINSEE                  CHAR(3),
  PRIORIDAD              number(10,0),
  EMAIL                  varchar2(50),
  MSGCORTO               varchar2(50),
  CLAVE                  varchar2(10),
  COMISION                 FLOAT,
  COBRA                     CHAR(1) DEFAULT 'F' NOT NULL,
  ENLINEA                   CHAR(1) DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_INTERVENANT PRIMARY KEY (
      CODINT
    )
)
;

CREATE TABLE INTERVENTION
(
  NUMINTER                    number(10,0),
  NUMABONNE                   number(10,0),
  DTDEB                          DATE,
  DTFIN                          DATE,
  HEURE                          CHAR(5),
  OPESAISIE                      CHAR(10),
  OPEMODIF                       CHAR(10),
  MOTIF                          CHAR(4),
  PANNE                          CHAR(4),
  REPONSE                        CHAR(4),
  SIEGE                          CHAR(4),
  INTERVENANT                    CHAR(4),
  DETMOTIF                       CHAR(50),
  DETPANNE                       CHAR(50),
  DETREP                         CHAR(50),
  LIB                            CHAR(25),
  NUMRDV                      number(10,0),
  LATE                           CHAR(4),
  HEUREDEB                       CHAR(5),
  HEUREFIN                       CHAR(5),
  DTCLOS                         DATE,
  DTEDTOR                        DATE,
  HRCLOS                         CHAR(5),
  TRASDEB                        CHAR(5),
  TRASFIN                        CHAR(5),
  TIPO                           CHAR(4),
  DTOTAVERIA                     DATE,
  GRUPOLATE                      CHAR(4),
  ESTADO                         CHAR(1),
  ROLLINICIAL                    DATE,
  ROLLFINAL                      DATE,
  TIPOINSTAL                     CHAR(1),
  FECH_CHG_GRUPO                 DATE,
  HORA_CHG_GRUPO                 CHAR(5),
    CONSTRAINT PK_INTERVENTION PRIMARY KEY (
      NUMINTER
    )
)
;

CREATE TABLE IPSERV
(
  NUMIP                   number(10,0) NOT NULL,
  ORDRE                   number(10,0) NOT NULL,
  BLOCKIP                 varchar2(19),
  ETHERNETIP              varchar2(15),
  MASKIP                  varchar2(15),
  RFIP                    varchar2(15),
  CODELUGAR                  CHAR(4),
  NUMLUGAR               number(5,0),
    CONSTRAINT PK_IPSERV PRIMARY KEY (
      NUMIP
    )
)
;

CREATE TABLE JOURNAL
(
  NUMJRNL                  CHAR(3) NOT NULL,
  LIB                      CHAR(25),
  TIPOJRNL                 CHAR(1),
    CONSTRAINT PK_JOURNAL PRIMARY KEY (
      NUMJRNL
    )
)
;

CREATE TABLE LATE
(
  CODLATE                 CHAR(4) NOT NULL,
  LIB                     CHAR(25),
    CONSTRAINT PK_LATE PRIMARY KEY (
      CODLATE
    )
)
;

CREATE TABLE LINEUP
(
  NUMCANAL              number(10,0) NOT NULL,
  NOM                      CHAR(25),
    CONSTRAINT PK_LINEUP PRIMARY KEY (
      NUMCANAL
    )
)
;

CREATE TABLE LOCALIZACION_NODO
(
  CODIGO_HEADEND              varchar2(5) NOT NULL,
  CODIGO_HUB                  varchar2(5) NOT NULL,
  CODINSEE                       CHAR(5) NOT NULL,
  LOCALISATION                   CHAR(5) NOT NULL,
  NUMNODE                        CHAR(10) NOT NULL,
    CONSTRAINT PK_LOCALIZACION_NODO PRIMARY KEY (
      CODIGO_HEADEND,
      CODIGO_HUB,
      CODINSEE,
      LOCALISATION,
      NUMNODE
    )
)
;

CREATE TABLE LOCALIZATION
(
  CODINSEE                     CHAR(5) NOT NULL,
  LOCALISATION                 CHAR(5) NOT NULL,
  LIB                       varchar2(25),
  PRINTO                       CHAR(4),
  CPAIS                     varchar2(3) NOT NULL,
  CPROV                     varchar2(3) NOT NULL,
  CCANTON                   varchar2(3) NOT NULL,
  CDISTRI                   varchar2(3) NOT NULL,
    CONSTRAINT PK_LOCALIZATION PRIMARY KEY (
      CODINSEE,
      LOCALISATION
    )
)
;

CREATE TABLE LOGINS
(
  NUMLOGIN              number(10,0) NOT NULL,
  ORDRE                 number(10,0),
  PASSWD                varchar2(20),
  DTSAISIE                 DATE,
  USUARIO               varchar2(50),
    CONSTRAINT PK_LOGINS PRIMARY KEY (
      NUMLOGIN
    )
)
;

CREATE TABLE LOGRELOJ
(
  ID                    number(10,0) NOT NULL,
  LOGIN                    CHAR(10),
  AUTORIZA                 CHAR(10),
  FECHA                    DATE,
  HORA                     CHAR(10),
  MINUTOS               number(10,0)
)
;

CREATE TABLE LOTE_DESC_RACSA
(
  ORDRE                    number(10,0) NOT NULL,
  FECHA_CARGA                 DATE,
  CODOPE                   varchar2(10),
  NUMCLIALOPA              varchar2(10),
  ESTADO                      CHAR(1) DEFAULT 'F' NOT NULL,
  FECHA_DESCO                 DATE,
  NUMINTER                 number(10,0),
  GESTIONADO               varchar2(1),
  GESTIONO                 varchar2(10),
  INTE                     varchar2(15) NOT NULL,
    CONSTRAINT PK_LOTE_DESC_RACSA PRIMARY KEY (
      ESTADO,
      INTE
    )
)
;

CREATE TABLE LOTE_RECO_RACSA
(
  ORDRE                     number(10,0) NOT NULL,
  FECHA_CARGA                  DATE,
  CODOPE                    varchar2(10),
  NUMCLIALOPA               varchar2(10),
  ESTADO                       CHAR(1) DEFAULT 'F' NOT NULL,
  NUMINTER                  number(10,0),
  INTE                      varchar2(15) NOT NULL,
  ESTADO_ORDEN              varchar2(1),
  FECHA_RECO                   DATE,
    CONSTRAINT PK_LOTE_RECO_RACSA PRIMARY KEY (
      ESTADO,
      INTE
    )
)
;

CREATE TABLE MATERIAL
(
  CODMAT                        CHAR(9) NOT NULL,
  NOM                           CHAR(25),
  TIPOMAT                       CHAR(4),
  PRIX              DOUBLE PRECISION,
  ORDEN_REPORTE              number(10,0),
  ACTIVO                        CHAR(1)  DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_MATERIAL PRIMARY KEY (
      CODMAT
    )
)
;

CREATE TABLE MATRIZ_MAX_SERVICIOS
(
  CODPROD                 CHAR(4) NOT NULL,
  MAXIMO               number(10,0) NOT NULL,
    CONSTRAINT PK_MATRIZ_MAX_SERVICIOS PRIMARY KEY (
      CODPROD
    )
)
;

CREATE TABLE MATRIZ_NO_COMBINA
(
  CODPROD                          CHAR(4) NOT NULL,
  CODPROD_NO_COMBO                 CHAR(4) NOT NULL,
    CONSTRAINT PK_MATRIZ_NO_COMBINA PRIMARY KEY (
      CODPROD,
      CODPROD_NO_COMBO
    )
)
;

CREATE TABLE MATRIZ_OPCIONES
(
  NUM_OPCION                  CHAR(1) NOT NULL,
  DESC_OPCION              varchar2(50),
    CONSTRAINT PK_MATRIZ_OPCIONES PRIMARY KEY (
      NUM_OPCION
    )
)
;

CREATE TABLE MATRIZ_REGLAS
(
  LN                          number(5,0),
  MAXSERVICIOS                    CHAR(1)  DEFAULT 'F' NOT NULL,
  NOCOMBINA                       CHAR(1)  DEFAULT 'F' NOT NULL,
  SERVOBLIGATORIO                 CHAR(1)  DEFAULT 'F' NOT NULL,
  DEBECOMBINAR                    CHAR(1)  DEFAULT 'F' NOT NULL
)
;

CREATE TABLE MATRIZ_REGLAS_OT
(
  NUM_OPCION                 CHAR(1) NOT NULL,
  LINEA                   number(10,0) NOT NULL,
  TIPO                       CHAR(1),
  GRUPOLATE                  CHAR(4),
    CONSTRAINT PK_MATRIZ_REGLAS_OT PRIMARY KEY (
      NUM_OPCION,
      LINEA
    )
)
;

CREATE TABLE MATRIZ_SERV_OBLIGATORIO
(
  CODPROD                 CHAR(4) NOT NULL,
    CONSTRAINT PK_MATRIZ_SERV_OBLIGATORIO PRIMARY KEY (
      CODPROD
    )
)
;

CREATE TABLE MATRIZ_SI_COMBINA
(
  CODPROD                          CHAR(4) NOT NULL,
  CODPROD_SI_COMBO                 CHAR(4) NOT NULL,
    CONSTRAINT PK_MATRIZ_SI_COMBINA PRIMARY KEY (
      CODPROD,
      CODPROD_SI_COMBO
    )
)
;

CREATE TABLE MOORE
(
  NUMABONNE                     number(10,0) NOT NULL,
  NUMSOUSCRIPT                  number(10,0),
  NOM                           varchar2(50),
  ADRESSE                       varchar2(   100),
  PERIODE                          CHAR(7),
  DT                               DATE,
  TITULOSALDO                   varchar2(20),
  SOLDMESANTES         DOUBLE PRECISION,
  CODPROD0                         CHAR(4),
  SERVICIO0                     varchar2(25),
  CANT0                         number(10,0),
  SERVMTT0             DOUBLE PRECISION,
  SERVMTTDOL0          DOUBLE PRECISION,
  SERVMTT0G            DOUBLE PRECISION,
  CODPROD1                         CHAR(4),
  SERVICIO1                     varchar2(25),
  CANT1                         number(10,0),
  SERVMTT1             DOUBLE PRECISION,
  SERVMTTDOL1          DOUBLE PRECISION,
  SERVMTT1G            DOUBLE PRECISION,
  CODPROD2                         CHAR(4),
  SERVICIO2                     varchar2(25),
  CANT2                         number(10,0),
  SERVMTT2             DOUBLE PRECISION,
  SERVMTTDOL2          DOUBLE PRECISION,
  SERVMTT2G            DOUBLE PRECISION,
  CODPROD3                         CHAR(4),
  SERVICIO3                     varchar2(25),
  CANT3                         number(10,0),
  SERVMTT3             DOUBLE PRECISION,
  SERVMTTDOL3          DOUBLE PRECISION,
  SERVMTT3G            DOUBLE PRECISION,
  CODPROD4                         CHAR(4),
  SERVICIO4                     varchar2(25),
  CANT4                         number(10,0),
  SERVMTT4             DOUBLE PRECISION,
  SERVMTTDOL4          DOUBLE PRECISION,
  SERVMTT4G            DOUBLE PRECISION,
  CODPROD5                         CHAR(4),
  SERVICIO5                     varchar2(25),
  SERVMTT5             DOUBLE PRECISION,
  CANT5                         number(10,0),
  SERVMTTDOL5          DOUBLE PRECISION,
  SERVMTT5G            DOUBLE PRECISION,
  CODPROD6                         CHAR(4),
  SERVICIO6                     varchar2(25),
  SERVMTT6             DOUBLE PRECISION,
  SERVMTTDOL6          DOUBLE PRECISION,
  SERVMTT6G            DOUBLE PRECISION,
  CODPROD7                         CHAR(4),
  SERVICIO7                     varchar2(25),
  CANT7                         number(10,0),
  SERVMTT7             DOUBLE PRECISION,
  SERVMTTDOL7          DOUBLE PRECISION,
  SERVMTT7G            DOUBLE PRECISION,
  CODPROD8                         CHAR(4),
  SERVICIO8                     varchar2(25),
  CANT8                         number(10,0),
  SERVMTT8             DOUBLE PRECISION,
  SERVMTTDOL8          DOUBLE PRECISION,
  SERVMTT8G            DOUBLE PRECISION,
  CODPROD9                         CHAR(4),
  SERVICIO9                     varchar2(25),
  CANT9                         number(10,0),
  SERVMTT9             DOUBLE PRECISION,
  SERVMTTDOL9          DOUBLE PRECISION,
  SERVMTT9G            DOUBLE PRECISION,
  CODPROD10                        CHAR(4),
  SERVICIO10                    varchar2(25),
  CANT10                        number(10,0),
  SERVMTT10            DOUBLE PRECISION,
  SERVMTTDOL10         DOUBLE PRECISION,
  SERVMTT10G           DOUBLE PRECISION,
  CODPROD11                        CHAR(4),
  SERVICIO11                    varchar2(25),
  CANT11                        number(10,0),
  SERVMTT11            DOUBLE PRECISION,
  SERVMTTDOL11         DOUBLE PRECISION,
  SERVMTT11G           DOUBLE PRECISION,
  NUEVOSALDO           DOUBLE PRECISION,
  RUTA                          number(10,0),
  TELDOM                        varchar2(14),
  NOMBRECBOR                    varchar2(25),
  SERV0                         varchar2(25),
  MTT0                 DOUBLE PRECISION,
  MTT0G                DOUBLE PRECISION,
  SERV1                         varchar2(25),
  MTT1                 DOUBLE PRECISION,
  MTT1G                DOUBLE PRECISION,
  SERV2                         varchar2(25),
  MTT2                 DOUBLE PRECISION,
  MTT2G                DOUBLE PRECISION,
  SERV3                         varchar2(25),
  MTT3                 DOUBLE PRECISION,
  MTT3G                DOUBLE PRECISION,
  SERV4                         varchar2(25),
  MTT4                 DOUBLE PRECISION,
  MTT4G                DOUBLE PRECISION,
  SERV5                         varchar2(25),
  MTT5                 DOUBLE PRECISION,
  MTT5G                DOUBLE PRECISION,
  SERV6                         varchar2(25),
  MTT6                 DOUBLE PRECISION,
  MTT6G                DOUBLE PRECISION,
  SERV7                         varchar2(25),
  MTT7                 DOUBLE PRECISION,
  MTT7G                DOUBLE PRECISION,
  SERV8                         varchar2(25),
  MTT8                 DOUBLE PRECISION,
  MTT8G                DOUBLE PRECISION,
  SERV9                         varchar2(25),
  MTT9                 DOUBLE PRECISION,
  MTT9G                DOUBLE PRECISION,
  SERV10                        varchar2(25),
  MTT10                DOUBLE PRECISION,
  MTT10G               DOUBLE PRECISION,
  SERV11                        varchar2(25),
  MTT11                DOUBLE PRECISION,
  MTT11G               DOUBLE PRECISION,
  TVAPROD              DOUBLE PRECISION,
  TOTALAPAGAR          DOUBLE PRECISION,
  CBOR                             CHAR(4),
  PAGODESPUES          DOUBLE PRECISION,
  NOMBREPAGADOR                 varchar2(50),
  DESDEHASTA                    varchar2(20),
  ULTIMOPAGO                       DATE,
  COLONMESACTUAL       DOUBLE PRECISION,
  COLONMESANTERIOR     DOUBLE PRECISION,
  FECHASPAGOS                      CHAR(36),
  FACTURA                       number(10,0),
  COMMENT1                         CHAR(60),
  COMMENT2                         CHAR(60),
  LOCALIZATION                     CHAR(5),
  CAMBIODIR                        CHAR(1)  DEFAULT 'F' NOT NULL,
  NUMTAP                        varchar2(9),
  CODINSEE                         CHAR(3),
    CONSTRAINT PK_MOORE PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE MOTIF
(
  CODMOTIF                 CHAR(4) NOT NULL,
  LIB                      CHAR(25),
  CODPROD                  CHAR(4),
  TIPO                     CHAR(2),
    CONSTRAINT PK_MOTIF PRIMARY KEY (
      CODMOTIF
    )
)
;

CREATE TABLE NODE
(
  NUMNODE                           CHAR(10) NOT NULL,
  LIB                               CHAR(25),
  NBREABONNE                     number(10,0),
  DOBLEVIA                          CHAR(3),
  ACTIVO                         varchar2(1),
  CODIFICADO                        CHAR(1) DEFAULT 'F' NOT NULL,
  CLASE                             CHAR(1),
  FECHA_INIC                        DATE,
  FECHA_FINC                        DATE,
  CANTCABLE                      number(10,0),
  STRAND                         number(10,0),
  CAPACIDAD                      number(10,0),
  KMXNODO                        number(10,0),
  COMENTARIO                     varchar2(50),
  COD_ENLACE                     varchar2(15),
  DESCRIP_ENLACE                 varchar2(30),
  FECHA_ENLACE                      DATE,
  KM_ENLACE                      number(10,0),
  FIBRA_ENLACE                   number(10,0),
  COMENT_ENLACE                  varchar2(50),
  PUNTA_INI_ENLACE               number(10,0),
  PUNTA_FIN_ENLACE               number(10,0),
  CODIGO_HEADEND                 varchar2(5) NOT NULL,
  CODIGO_HUB                     varchar2(5) NOT NULL,
  PLAQUEADO                      varchar2(1),
  COMENTARIO_ESTADO              varchar2(   250),
  ESTADO                         number(10,0) NOT NULL,
    CONSTRAINT PK_NODE PRIMARY KEY (
      NUMNODE,
      CODIGO_HEADEND,
      CODIGO_HUB
    )
)
;

CREATE TABLE NODETAP
(
  NUMNODE                 CHAR(10) NOT NULL,
  TAPINI               varchar2(10) NOT NULL,
  TAPFIN               varchar2(10) NOT NULL,
    CONSTRAINT PK_NODETAP PRIMARY KEY (
      TAPINI,
      TAPFIN
    )
)
;

CREATE TABLE PAGOS_EN_LINEA
(
  NUMPIECE                 number(10,0) NOT NULL,
  NUMABONNE                number(10,0) NOT NULL,
  CODIGO_PAGO              number(10,0) NOT NULL,
  RECAUDADOR               varchar2(10),
  MONTO           DOUBLE PRECISION,
  FECHA_PAGO                  DATE NOT NULL,
    CONSTRAINT PK_PAGOS_EN_LINEA PRIMARY KEY (
      CODIGO_PAGO
    )
)
;

CREATE TABLE PAGOS_EN_LINEA2
(
  NUMPIECE                 number(10,0) NOT NULL,
  NUMABONNE                number(10,0) NOT NULL,
  CODIGO_PAGO              number(10,0) NOT NULL,
  RECAUDADOR               varchar2(10),
  MONTO           DOUBLE PRECISION,
  TIPO                     varchar2(1),
  FECHA_PAGO                  DATE NOT NULL,
    CONSTRAINT PK_PAGOS_EN_LINEA2 PRIMARY KEY (
      CODIGO_PAGO
    )
)
;

CREATE TABLE PAISES
(
  CPAIS              varchar2(3) NOT NULL,
  NPAIS              varchar2(50),
  TIPO                  CHAR(1),
    CONSTRAINT PK_PAISES PRIMARY KEY (
      CPAIS
    )
)
;

CREATE TABLE PANNE
(
  CODPANNE                 CHAR(4) NOT NULL,
  LIB                      CHAR(25),
  CODPROD                  CHAR(4),
    CONSTRAINT PK_PANNE PRIMARY KEY (
      CODPANNE
    )
)
;

CREATE TABLE PARAM_COMPA
(
  COD_PARAM_COMPA              number(10,0) NOT NULL,
  DESCRICION                      BLOB,
  ESTADO                          BLOB,
    CONSTRAINT PK_PARAM_COMPA PRIMARY KEY (
      COD_PARAM_COMPA
    )
)
;

CREATE TABLE PARAMETRE
(
  CODTBL                     CHAR(4) NOT NULL,
  CODE                       CHAR(4) NOT NULL,
  LIBCODE                    CHAR(25),
  INFO_REQUE              varchar2(1),
    CONSTRAINT PK_PARAMETRE PRIMARY KEY (
      CODTBL,
      CODE
    )
)
;

CREATE TABLE PAYEUR
(
  NUMABONNE              number(10,0) NOT NULL,
  GENRE                     CHAR(1),
  NOM                    varchar2(50),
  ADRESSE                varchar2(   100),
  COMMUNE                varchar2(25),
  TEL                    varchar2(14),
  BANQUE                 varchar2(25),
  TYPCB                     CHAR(4),
  DTEXPIR                   CHAR(5),
  ZONE                      CHAR(5),
  CODCB                  varchar2(25),
  NUMID                  number(10,0),
  DTCBDEBUT                 DATE,
  DTCBFIN                   DATE,
  CPROV                  varchar2(3),
  CCANTON                varchar2(3),
  CDISTRI                varchar2(3),
    CONSTRAINT PK_PAYEUR PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE PBSERV
(
  ORDRE              number(10,0) NOT NULL
)
;

CREATE TABLE PPVCLASE
(
  CODE                    CHAR(4) NOT NULL,
  LIBCODE              varchar2(30),
    CONSTRAINT PK_PPVCLASE PRIMARY KEY (
      CODE
    )
)
;

CREATE TABLE PPVRATING
(
  CODE                    CHAR(4) NOT NULL,
  LIBCODE              varchar2(30),
    CONSTRAINT PK_PPVRATING PRIMARY KEY (
      CODE
    )
)
;

CREATE TABLE PPVTIPO
(
  CODE                    CHAR(4) NOT NULL,
  LIBCODE              varchar2(30),
    CONSTRAINT PK_PPVTIPO PRIMARY KEY (
      CODE
    )
)
;

CREATE TABLE PRISE
(
  NUMABONNE                   number(10,0) NOT NULL,
  CODINT                         CHAR(4),
  NUMPLB                         CHAR(8),
  DTRACC                         DATE,
  DTCOUPE                        DATE,
  COMENTARIO                     varchar2(   100),
  NUMTERM                     varchar2(9),
  NUMTERM2                    varchar2(9),
  NUMTAP                      varchar2(9),
  SORTIETAP                  number(5,0),
  ESTADO                         CHAR(1),
  PILOTO                         CHAR(1) DEFAULT 'F' NOT NULL,
  OPTICNODE2                  varchar2(20),
  CODIGO_HEADEND              varchar2(5),
  CODIGO_HUB                  varchar2(5),
  CODIGO_RAMAL                varchar2(3),
  CODIGO_TAP                  varchar2(12),
  OPTICNODE                      CHAR(10),
    CONSTRAINT PK_PRISE PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE PROB
(
  NUMABONNE              number(10,0),
  SOLDEC        DOUBLE PRECISION NOT NULL,
  SOLDDETEC     DOUBLE PRECISION,
    CONSTRAINT PK_PROB PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE PRODUIT
(
  CODPROD                       CHAR(4) NOT NULL,
  NOM                           CHAR(25),
  PRIX              DOUBLE PRECISION,
  CODTVA                        CHAR(4) NOT NULL,
  JRNLVTE                       CHAR(3) NOT NULL,
  JRNLBKE                       CHAR(3) NOT NULL,
  NATURE                        CHAR(4),
  TAX               DOUBLE PRECISION,
  CPTNUM                        CHAR(20),
  DTDEB                         DATE,
  DTFIN                         DATE,
  PRIXDOL           DOUBLE PRECISION,
  PAGOMESES                 number(5,0),
  CODINSEE                      CHAR(5),
  CTMODIF                       CHAR(4),
  CTINST                        CHAR(4),
  PRORATEO                      CHAR(1) DEFAULT 'F' NOT NULL,
  FALTATERMINAL                 CHAR(1) DEFAULT 'F' NOT NULL,
  FACMONTOFIJO                  CHAR(1) DEFAULT 'F' NOT NULL,
  DOBLEVIA                      CHAR(1) DEFAULT 'F' NOT NULL,
  PERIODICIDAD              number(5,0),
  FECHA_FIJA                    CHAR(1) DEFAULT 'F' NOT NULL,
  PROMOCION                     CHAR(1) DEFAULT 'F' NOT NULL,
  TIPO                          CHAR(1),
  NUMAPS                     varchar2(15),
  ALOPA                      varchar2(15),
  PAQRACSA                      CHAR(4),
    CONSTRAINT PK_PRODUIT PRIMARY KEY (
      CODPROD
    )
)
;

CREATE TABLE PROPSERV
(
  ORDRE                     number(10,0) NOT NULL,
  ANCHOBANDA                   CHAR(4),
  MEDIOTRANS                   CHAR(4),
  METODTRANS                   CHAR(4),
  EXCLUSIVIDAD                 CHAR(1) DEFAULT 'F' NOT NULL
)
;

CREATE TABLE PROVINCIAS
(
  CPROV              varchar2(3) NOT NULL,
  NPROV              varchar2(50),
  CPAIS              varchar2(3) NOT NULL,
    CONSTRAINT PK_PROVINCIAS PRIMARY KEY (
      CPROV,
      CPAIS
    )
)
;

CREATE TABLE RAMAL
(
  CODIGO_RAMAL                varchar2(3) NOT NULL,
  NOMBRE_RAMAL                varchar2(15),
  CODIGO_HEADEND              varchar2(5) NOT NULL,
  CODIGO_HUB                  varchar2(5) NOT NULL,
  NUMNODE                        CHAR(10) NOT NULL,
    CONSTRAINT PK_RAMAL PRIMARY KEY (
      CODIGO_RAMAL,
      CODIGO_HEADEND,
      CODIGO_HUB,
      NUMNODE
    )
)
;

CREATE TABLE RECHABONNE
(
  NUMID                 number(10,0) NOT NULL,
  ABONNE                number(10,0),
  SOUSCRIT              number(10,0),
  NOM                      CHAR(50),
  TEL                      CHAR(14),
  NUMCTRT               number(10,0),
    CONSTRAINT PK_RECHABONNE PRIMARY KEY (
      NUMID
    )
)
;

CREATE TABLE RECIBO
(
  NUMRECU                          number(10,0) NOT NULL,
  NUMABONNE                        number(10,0) NOT NULL,
  PERIODE                             CHAR(7),
  DT                                  DATE,
  SERVICIO1                        varchar2(25),
  SERVICIO2                        varchar2(25),
  SERVICIO3                        varchar2(25),
  SERVICIO4                        varchar2(25),
  SERVICIO5                        varchar2(25),
  SERVICIO6                        varchar2(25),
  MTT1                    DOUBLE PRECISION,
  MTT2                    DOUBLE PRECISION,
  MTT3                    DOUBLE PRECISION,
  MTT4                    DOUBLE PRECISION,
  MTT5                    DOUBLE PRECISION,
  MTT6                    DOUBLE PRECISION,
  MTT1G                   DOUBLE PRECISION,
  MTT2G                   DOUBLE PRECISION,
  MTT3G                   DOUBLE PRECISION,
  MTT4G                   DOUBLE PRECISION,
  MTT5G                   DOUBLE PRECISION,
  MTT6G                   DOUBLE PRECISION,
  MTTDOL1                 DOUBLE PRECISION,
  MTTDOL2                 DOUBLE PRECISION,
  MTTDOL3                 DOUBLE PRECISION,
  MTTDOL4                 DOUBLE PRECISION,
  MTTDOL5                 DOUBLE PRECISION,
  MTTDOL6                 DOUBLE PRECISION,
  NUEVOSALDO              DOUBLE PRECISION,
  PAGODESPUES             DOUBLE PRECISION,
  SOLDPREC                DOUBLE PRECISION,
  STATUT                              CHAR(3),
  CBOR                                CHAR(4),
  PAGOCOBRADOR            DOUBLE PRECISION,
  PAGOCOBRADORDESPUES     DOUBLE PRECISION,
  SERVICIO7                        varchar2(25),
  SERVICIO8                        varchar2(25),
  SERVICIO9                        varchar2(25),
  SERVICIO10                       varchar2(25),
  SERVICIO11                       varchar2(25),
  SERVICIO12                       varchar2(25),
  MTT7                    DOUBLE PRECISION,
  MTT8                    DOUBLE PRECISION,
  MTT9                    DOUBLE PRECISION,
  MTT10                   DOUBLE PRECISION,
  MTT11                   DOUBLE PRECISION,
  MTT12                   DOUBLE PRECISION,
  MTT7G                   DOUBLE PRECISION,
  MTT8G                   DOUBLE PRECISION,
  MTT9G                   DOUBLE PRECISION,
  MTT10G                  DOUBLE PRECISION,
  MTT11G                  DOUBLE PRECISION,
  MTT12G                  DOUBLE PRECISION,
  MTTDOL7                 DOUBLE PRECISION,
  MTTDOL8                 DOUBLE PRECISION,
  MTTDOL9                 DOUBLE PRECISION,
  MTTDOL10                DOUBLE PRECISION,
  MTTDOL11                DOUBLE PRECISION,
  MTTDOL12                DOUBLE PRECISION,
  COMMENT1                            CHAR(60),
    CONSTRAINT PK_RECIBO PRIMARY KEY (
      NUMRECU
    )
)
;

CREATE TABLE RECU
(
  NUMRECU                number(10,0) NOT NULL,
  NUMABONNE              number(10,0),
  MDRGT                     CHAR(4),
  SOLDE         DOUBLE PRECISION,
  PERIODE                   CHAR(7),
  DTPAIE                    DATE,
  CBOR                      CHAR(4),
  CPT                    number(10,0) NOT NULL,
  CODOPE                    CHAR(10),
  CODINSEE                  CHAR(3),
    CONSTRAINT PK_RECU PRIMARY KEY (
      CPT
    )
)
;

CREATE TABLE RECUPIMP
(
  NUMABONNE              number(10,0) NOT NULL,
  MTT           DOUBLE PRECISION,
  STATUT                    CHAR(3),
  TIPOPAGO                  CHAR(2),
  NUMRECU                   CHAR(8),
    CONSTRAINT PK_RECUPIMP PRIMARY KEY (
      NUMABONNE
    )
)
;

CREATE TABLE REPORTES
(
  CODIGO              number(10,0) NOT NULL,
  NOMBRE              varchar2(50)
)
;

CREATE TABLE ROLES
(
  NUMROLE                  number(10,0) NOT NULL,
  NUMINTER                 number(10,0),
  TIPO                        CHAR(4),
  DTSAISIE                    DATE,
  HRSAISIE                    CHAR(5),
  OPESAISIE                   CHAR(10),
  FECHACITA                   DATE,
  HRCITA                      CHAR(5),
  OPEMODIF                    CHAR(10),
  FECHAMODIF                  DATE,
  HRMODIF                     CHAR(5),
  OBSERVACION              varchar2(40),
  STATUS                      CHAR(1) DEFAULT 'F' NOT NULL,
  CODINT                      CHAR(4),
  MOVIL                       CHAR(6),
  SECTOR                      CHAR(1),
  PADRINO                     CHAR(10),
    CONSTRAINT PK_ROLES PRIMARY KEY (
      NUMROLE
    )
)
;

CREATE TABLE SALDOS_PENDIENTES
(
  NUMABONNE                         number(10,0) NOT NULL,
  SALDO                    DOUBLE PRECISION NOT NULL,
  FECHA                                DATE NOT NULL,
  ID_SALDOS_PENDIENTES              number(10,0) NOT NULL,
  ESTADO                            varchar2(1) NOT NULL,
  NUMINTER                          number(10,0),
  NUMPIECE                          number(10,0),
    CONSTRAINT PK_SALDOS_PENDIENTES PRIMARY KEY (
      ID_SALDOS_PENDIENTES
    )
)
;

CREATE TABLE SCHEDULEPPV
(
  SCHEDID                   number(10,0) NOT NULL,
  LBEN                      number(10,0) NOT NULL,
  CHANNELID                number(5,0),
  CHANNELNAME               varchar2(30),
  SCHEDSTARTDT                 DATE,
  SCHEDSTARTTI                 CHAR(5),
  SCHEDUREE                number(5,0),
  DTSAISIE                     DATE,
  SCHEDBSID                 number(10,0),
    CONSTRAINT PK_SCHEDULEPPV PRIMARY KEY (
      SCHEDID
    )
)
;

CREATE TABLE SECTOR
(
  CODIGO                   number(10,0) NOT NULL,
  DESCRIPCION              varchar2(30),
  SECTOR                   varchar2(1),
    CONSTRAINT PK_SECTOR PRIMARY KEY (
      CODIGO
    )
)
;

CREATE TABLE SERVTERMINAL
(
  ORDRE                 number(10,0) NOT NULL,
  CODPROD                  CHAR(4),
  NUMSERIE                 CHAR(15),
    CONSTRAINT PK_SERVTERMINAL PRIMARY KEY (
      ORDRE
    )
)
;

CREATE TABLE SOCIETE
(
  NUMSOC                   number(5,0),
  NOM                          CHAR(25),
  NBABONNE                  number(10,0),
  AGENCE                       CHAR(25),
  NUMRECU                   number(10,0),
  TITULO1                   varchar2(40),
  TITULO2                   varchar2(40),
  TITULO3                   varchar2(40),
  TITULO4                   varchar2(40),
  OFICEID                   number(10,0),
  HEADEND                  number(5,0),
  NOTELDLA                     CHAR(15),
  REG_BANCOS               number(5,0),
  LABL_NIV01                varchar2(15),
  LABL_NIV02                varchar2(15),
  LABL_NIV03                varchar2(15),
  LABL_NIV04                varchar2(15),
  SOCIOCOLILLA                 CHAR(1) DEFAULT 'F' NOT NULL
)
;

CREATE TABLE SOLICITUD_CABIO_PRECIO
(
  ID                              number(10,0) NOT NULL,
  USUARIO_SOLICITA                   CHAR(10) NOT NULL,
  CODPROD                            CHAR(4) NOT NULL,
  FECHA_SOLICITUD                    DATE NOT NULL,
  NOMBRE_SOLICITANTE              varchar2(50) NOT NULL,
  FEHA_APLICACION                    DATE,
  NOMBRE_APRUEBA                  varchar2(50),
  APROBADO                           CHAR(1),
  USUARIO_APROBO                  varchar2(10),
  PRECIO_NUEVO           DOUBLE PRECISION,
  USUARIO_APLICO                  varchar2(10),
  FECHA_APROBACION                   DATE,
  APLICADO                           CHAR(1),
  TIPO_SOLICITUD                  number(10,0) NOT NULL,
  MONEDA                          number(10,0) NOT NULL,
  CODINSEE                           CHAR(5),
  LOCALIZATION                       CHAR(5),
    CONSTRAINT PK_SOLICITUD_CABIO_PRECIO PRIMARY KEY (
      ID
    )
)
;

CREATE TABLE STATRECO
(
  NUMSTATRECO              number(10,0) NOT NULL,
  NUMABONNE                number(10,0) NOT NULL,
  DTRECO                      DATE,
  DTRESI                      DATE,
    CONSTRAINT PK_STATRECO PRIMARY KEY (
      NUMSTATRECO
    )
)
;

CREATE TABLE TAP
(
  CODIGO_TAP                  number(10,0) NOT NULL,
  NOMBRE_TAP                  varchar2(25),
  CODIGO_HEADEND              varchar2(5) NOT NULL,
  CODIGO_HUB                  varchar2(5) NOT NULL,
  NUMNODE                        CHAR(10) NOT NULL,
  CODIGO_RAMAL                varchar2(3) NOT NULL,
  CAPACIDAD                   number(10,0),
  RANGO                       number(10,0),
  PUERTOS                     number(10,0),
  VALOR                       number(10,0),
  MARCA                       varchar2(15),
  INTELIGENTE                    CHAR(1) DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_TAP PRIMARY KEY (
      CODIGO_TAP,
      CODIGO_HEADEND,
      CODIGO_HUB,
      NUMNODE,
      CODIGO_RAMAL
    )
)
;

CREATE TABLE TAPXNODE
(
  NUMTAP                    CHAR(9) NOT NULL,
  NUMNODE                   CHAR(5) NOT NULL,
  RAMAL                     CHAR(5) NOT NULL,
  CAPACIDAD             number(5,0),
    CONSTRAINT PK_TAPXNODE PRIMARY KEY (
      NUMTAP,
      NUMNODE
    )
)
;

CREATE TABLE TEMP
(
  NUMPIECE               number(10,0) NOT NULL,
  NUMABONNE              number(10,0),
  PERIODE                   CHAR(7),
    CONSTRAINT PK_TEMP PRIMARY KEY (
      NUMPIECE
    )
)
;

CREATE TABLE TEMPCOMPARAINTERNET
(
  NUMABONNE                   number(10,0) NOT NULL,
  SERVIDOR                    varchar2(5),
  TIPOCABLEMODEM              varchar2(6),
  FECHA                          DATE,
  USUARIO                     varchar2(10),
  MSGERROR                    varchar2(   400)
)
;

CREATE TABLE TEMPDETEC
(
  NUMTEMP              number(10,0) NOT NULL,
  CODPROD                 CHAR(4) NOT NULL,
  MTT         DOUBLE PRECISION,
  CODTVA                  CHAR(4),
  NUMJRNL                 CHAR(3),
    CONSTRAINT PK_TEMPDETEC PRIMARY KEY (
      NUMTEMP,
      CODPROD
    )
)
;

CREATE TABLE TEMPDETINTERMAT
(
  NUMINTER              number(10,0) NOT NULL,
  CODMAT                   CHAR(9) NOT NULL,
  QTEINST              number(5,0),
    CONSTRAINT PK_TEMPDETINTERMAT PRIMARY KEY (
      NUMINTER,
      CODMAT
    )
)
;

CREATE TABLE TEMPEC
(
  NUMTEMP                      number(10,0) NOT NULL,
  NUMABONNE                    number(10,0),
  PERIODE                         CHAR(7),
  DTCPT                           DATE,
  DTSAISIE                        DATE,
  NUMJRNL                         CHAR(3),
  LIB                          varchar2(50),
  NUMFACT                      number(10,0),
  MTTDEB              DOUBLE PRECISION,
  MTTCRED             DOUBLE PRECISION,
  MDRGLT                          CHAR(4),
  CODOPE                          CHAR(10),
  CODINSEE                        CHAR(5),
  TYPEC                           CHAR(4),
  CBOR                            CHAR(4),
  RESUMANU                     number(10,0),
  NUMLOTE                      varchar2(10),
  MOTIFIMP                        CHAR(4),
  LIBNC                        varchar2(50),
  NUMCHQ                          CHAR(10),
  BANKCHQ                         CHAR(25),
  EMISOR                       varchar2(25),
  NUMCARD                      varchar2(16),
  NUMAUTORIZ                   varchar2(16),
  TARJETAHABIENTE              varchar2(40),
  MILLAS              DOUBLE PRECISION,
  PAQUETE                         CHAR(4),
    CONSTRAINT PK_TEMPEC PRIMARY KEY (
      NUMTEMP
    )
)
;

CREATE TABLE TEMPFACTPPV
(
  NUMABONNE              number(10,0),
  MONTO         DOUBLE PRECISION,
  PELICULAS             number(5,0)
)
;

CREATE TABLE TEMPINTES
(
  CUENTARACSA              number(10,0),
  INTE                     varchar2(15),
  LOGIN                    varchar2(25),
  PAQUETE                     CHAR(4),
  NUMCONTRAT               number(10,0),
  ORDRE                    number(10,0),
  MOVIM                       CHAR(1)
)
;

CREATE TABLE TEMPNODE
(
  LOCALIZATION                 CHAR(5),
  NUMNODO                   varchar2(9)
)
;

CREATE TABLE TEMPRACSAINTE
(
  NUMABONNE                number(10,0) NOT NULL,
  CUENTARACSA              number(10,0),
  INTE                     varchar2(15),
  LOGIN                    varchar2(50),
  PAQRACSA                    CHAR(4),
  MSGERROR                 varchar2(   400)
)
;

CREATE TABLE TERMINAL
(
  NUMID                   number(10,0),
  NUMSERIE                   CHAR(15) NOT NULL,
  MODELO                     CHAR(8),
  TIPO                       CHAR(2),
  STATUS                     CHAR(10),
  PRECIO         DOUBLE PRECISION,
  DTSAISIE                   DATE,
  PPV                        CHAR(3),
  DOBLEVIA                   CHAR(3),
  VOLUME                     CHAR(3),
  REMOTE                     CHAR(3),
  IPPV                       CHAR(3),
  FAVORITE                   CHAR(3),
  BSID17                     CHAR(3),
  BSID20                     CHAR(3),
  BSID21                     CHAR(3),
  BSID22                     CHAR(3),
  CREDIT                 number(5,0),
  BSID123                    CHAR(3),
  FECHAVENCE                 DATE,
  NUME_PROMO             number(5,0),
  NUME_PROVI             number(5,0),
  HUB                        CHAR(1),
    CONSTRAINT PK_TERMINAL PRIMARY KEY (
      NUMSERIE
    )
)
;

CREATE TABLE TERMINALBSID
(
  NUMSERIE              varchar2(15) NOT NULL,
  BSID                     CHAR(5) NOT NULL,
    CONSTRAINT PK_TERMINALBSID PRIMARY KEY (
      NUMSERIE,
      BSID
    )
)
;

CREATE TABLE TITLEPPV
(
  LBEN                      number(10,0) NOT NULL,
  MOVIENAME                 varchar2(80),
  DUREE                    number(5,0),
  RATING                   number(5,0),
  TIPOEVENT                number(5,0),
  DTSAISIE                     DATE,
  PRIX             DOUBLE PRECISION,
  GENREEVENT               number(5,0),
  MOVIENAMEDLA              varchar2(80),
    CONSTRAINT PK_TITLEPPV PRIMARY KEY (
      LBEN
    )
)
;

CREATE TABLE TRANSACDLA
(
  NUMTRANSACDLA              number(10,0) NOT NULL,
  DTSAISIE                      DATE,
  HEURETRANSAC                  CHAR(8),
  ENVOITRANSAC               varchar2(250),
  OPETRANSAC                    CHAR(10),
  RECUTRANSAC                varchar2(150),
    CONSTRAINT PK_TRANSACDLA PRIMARY KEY (
      NUMTRANSACDLA
    )
)
;

CREATE TABLE TRANSACPPV
(
  NUMTRANSACDLA              number(10,0) NOT NULL,
  DTSAISIE                      DATE,
  HEURETRANSAC                  CHAR(8),
  OPETRANSAC                    CHAR(10),
  RECUTRANSAC                   CHAR(250),
    CONSTRAINT PK_TRANSACPPV PRIMARY KEY (
      NUMTRANSACDLA
    )
)
;

CREATE TABLE TYPPARA
(
  CODTBL                 CHAR(4) NOT NULL,
  LIB                    CHAR(25),
    CONSTRAINT PK_TYPPARA PRIMARY KEY (
      CODTBL
    )
)
;

CREATE TABLE TYPTVA
(
  CODTVA                  CHAR(4) NOT NULL,
  LIB                     CHAR(25),
  TAUX        DOUBLE PRECISION,
  DIVISOR     DOUBLE PRECISION,
    CONSTRAINT PK_TYPTVA PRIMARY KEY (
      CODTVA
    )
)
;

CREATE TABLE UTILISATEUR
(
  LOGIN                         CHAR(10) NOT NULL,
  PASSE                         CHAR(10),
  DROIT                         CHAR(4),
  LIB                           CHAR(50),
  DATE_PASSWORD                 DATE,
  DATE_CIERRE                   DATE,
  DATE_LOGIN                    DATE,
  HEURE_LOGIN                   CHAR(5),
  FECHASALIDA                   DATE,
  EMAIL                      varchar2(50),
  WORKTO                        CHAR(4),
  PRIORIDAD                  number(10,0),
  CASILLERO                  varchar2(20),
  CAMBIA_RELOJ               varchar2(1),
  CLAVE_EMAIL                varchar2(12),
  ALOPA                         CHAR(1) DEFAULT 'F' NOT NULL,
    CONSTRAINT PK_UTILISATEUR PRIMARY KEY (
      LOGIN
    )
)
;

CREATE TABLE VENTE
(
  ORDRE                   number(10,0) NOT NULL,
  NUMABONNE               number(10,0) NOT NULL,
  CODPROD                    CHAR(4),
  MTT            DOUBLE PRECISION,
  CODVEND                    CHAR(4),
  CODPROV                    CHAR(4),
  DTSAISIE                   DATE,
  DTSIGN                     DATE,
  DTMENS                     DATE,
  DTPAIE                     DATE,
  DTRESI                     DATE,
  CODRESI                    CHAR(4),
  DTCHGTTF                   DATE,
  CTINST         DOUBLE PRECISION,
  CTREDUC        DOUBLE PRECISION,
  MTTDOL         DOUBLE PRECISION,
  QTEDMD                 number(5,0),
  QTEREA                 number(5,0),
  STATUT                     CHAR(1) DEFAULT 'F' NOT NULL,
  CODMARK                    CHAR(4),
  FACTPRORAT                 CHAR(1) DEFAULT 'F' NOT NULL,
  INTE                    varchar2(15),
  NUM_DOCU                number(10,0),
  DTRESI2                    DATE,
    CONSTRAINT PK_VENTE PRIMARY KEY (
      ORDRE
    )
)
;

CREATE TABLE VISITE
(
  NUMVISITE              number(10,0) NOT NULL,
  NUMABONNE              number(10,0),
  DTSAISIE                  DATE,
  LIB                    varchar2(50),
    CONSTRAINT PK_VISITE PRIMARY KEY (
      NUMVISITE
    )
)
;

CREATE TABLE VTE
(
  NUMABONNE              number(10,0) NOT NULL,
  CODPROD                   CHAR(4) NOT NULL,
  NOM                       CHAR(25),
  MTT           DOUBLE PRECISION,
  PAIE          DOUBLE PRECISION
)
;

/*******************************************************************************
 * Vistas
 * ------
 *
 ******************************************************************************/

CREATE OR REPLACE VIEW AVERIASINDETINTER (NUMINTER, NUMABONNE, DTDEB, TIPO, LIB, MOTIF, CODPROD, MOVIMIENTO)
AS
select numinter, numabonne, dtdeb, tipo, lib, motif, '0000' as codprod, 'Add' as movimiento
   from intervention
    where
     estado = 'F' and intervention.tipo = 'Apl'
;


/****************************INDICES******************************/

CREATE INDEX LOGIC_021.ABONNEINDEX1
 ON ABONNE(NUMCONTRAT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ABONNEINDEX2
 ON ABONNE(CBOR)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ABONNEINDEX3
 ON ABONNE(LOCALIZATION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ABONNEINDEX4
 ON ABONNE(NOM)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ABONNEPPVINDEX1
 ON ABONNEPPV(NUMEVENT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ABONNEPPVINDEX2
 ON ABONNEPPV(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.AGINDEX1
 ON AG(SOLD5 DESC)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.AVERINTERNETINDEX1
 ON AVERINTERNET(NUMLLAMADA)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.AVERINTERNETINDEX2
 ON AVERINTERNET(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.AVERINTERNETINDEX3
 ON AVERINTERNET(NUMOT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.AVERINTERNETINDEX4
 ON AVERINTERNET(NUMCASO)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.BLOCNOTEINDEX1
 ON BLOCNOTE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.BLOCNOTEINDEX2
 ON BLOCNOTE(DTSAISIE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CAJAPRINCINDEX1
 ON CAJAPRINC(DTCPT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CAJAPRINCINDEX2
 ON CAJAPRINC(CODOPE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CDDTRCONDIINDEX1
 ON CDDTRCONDI(FECHA)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CDDTRCONDIINDEX2
 ON CDDTRCONDI(TELEFONO)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CDDTRCONDIINDEX3
 ON CDDTRCONDI(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CLOSINGINDEX1
 ON CLOSING(DTCLOS)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.COMPARAINTERNETINDEX1
 ON TEMPCOMPARAINTERNET(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CONTRATINDEX1
 ON CONTRAT(DTRESI)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CONTRATINDEX2
 ON CONTRAT(CODVDS)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CORREOSINDEX1
 ON CORREOS(NUMINTER)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.CORREOSINDEX2
 ON CORREOS(ORDRE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.DECOLUNESINDEX1
 ON DECOLUNES(JOUR)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.DETECINDEX1
 ON DETEC(NUMPIECE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.DETECINDEX2
 ON DETEC(CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.DETINTERINDEX1
 ON DETINTER(NUMINTER)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.DETINTERINDEX2
 ON DETINTER(CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ECRITCPTINDEX1
 ON ECRITCPT(DTSAISIE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ECRITCPTINDEX2
 ON ECRITCPT(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ECRITCPTINDEX3
 ON ECRITCPT(RESUMANU)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ECRITCPTINDEX4
 ON ECRITCPT(PERIODE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ECRITCPTINDEX5
 ON ECRITCPT(MOTIFIMP)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.HISTERMINALINDEX1
 ON HISTERMINAL(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.HISTERMINALINDEX2
 ON HISTERMINAL(NUMSERIE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.IMPAYEINDEX1
 ON IMPAYE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX1
 ON INTERVENTION(DTDEB)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX2
 ON INTERVENTION(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX3
 ON INTERVENTION(DTCLOS)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX5
 ON INTERVENTION(DTFIN)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX6
 ON INTERVENTION(DTOTAVERIA)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.INTERVENTIONINDEX7
 ON INTERVENTION(DTEDTOR)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.IPSERVINDEX1
 ON IPSERV(ORDRE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.LOGINSINDEX1
 ON LOGINS(ORDRE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MATRIZ_NO_COMBINAINDEX1
 ON MATRIZ_NO_COMBINA(CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MATRIZ_REGLASINDEX1
 ON MATRIZ_REGLAS(LN)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MATRIZ_SI_COMBINAINDEX1
 ON MATRIZ_SI_COMBINA(CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MOOREINDEX1
 ON MOORE(FACTURA)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MOOREINDEX2
 ON MOORE(LOCALIZATION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.MOTIFINDEX1
 ON MOTIF(CODMOTIF)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.NOM
 ON RECHABONNE(NOM)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.NUMABONNE
 ON RECHABONNE(ABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.NUMCTRT
 ON RECHABONNE(NUMCTRT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.NUMSOUSCRIT
 ON RECHABONNE(SOUSCRIT)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.OALIASNAME
 ON DICO(TYPEID, ALIASNAME)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE UNIQUE INDEX LOGIC_021.OBJID
 ON DICO(OBJID, VERSION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ONAME
 ON DICO(TYPEID, "NAME")
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.PAYEURINDEX1
 ON PAYEUR(NOM)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.PRISEINDEX1
 ON PRISE(DTRACC)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.PRODUITINDEX1
 ON PRODUIT(DTFIN)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.PRODUITINDEX2
 ON PRODUIT(NATURE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.PROPSERVINDEX1
 ON PROPSERV(ORDRE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE UNIQUE INDEX LOGIC_021.RDB$PRIMARY52
 ON MOORE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.RECIBOINDEX1
 ON RECIBO(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.RECUINDEX1
 ON RECU(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.RECUPIMPINDEX1
 ON RECUPIMP(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.RELDEST
 ON DICO(DESTOBJID, DESTVERSION, TYPEID, SRCOBJID, SRCVERSION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.RELSRC
 ON DICO(SRCOBJID, SRCVERSION, TYPEID, DESTOBJID, DESTVERSION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.ROLESINDEX1
 ON ROLES(NUMINTER)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.SCHEDULEPPVINDEX1
 ON SCHEDULEPPV(LBEN)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.SCHEDULEPPVINDEX2
 ON SCHEDULEPPV(SCHEDBSID)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.SCHEDULEPPVINDEX4
 ON SCHEDULEPPV(CHANNELID)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.SERVTERMINALINDEX1
 ON SERVTERMINAL(NUMSERIE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEL
 ON RECHABONNE(TEL)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEMPDETECINDEX1
 ON TEMPDETEC(NUMTEMP, CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEMPECINDEX1
 ON TEMPEC(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEMPECINDEX2
 ON TEMPEC(CODOPE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEMPNODEINDEX1
 ON TEMPNODE(LOCALIZATION)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TEMPRACSAINTEINDEX1
 ON TEMPRACSAINTE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TERMINALINDEX1
 ON TERMINAL(NUMID)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.TYPEID
 ON DICO(TYPEID)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VENTEINDEX1
 ON VENTE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VENTEINDEX2
 ON VENTE(CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VENTEINDEX3
 ON VENTE(DTPAIE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VENTEINDEX4
 ON VENTE(INTE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VISITEINDEX1
 ON VISITE(NUMABONNE)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;

CREATE INDEX LOGIC_021.VTEINDEX1
 ON VTE(NUMABONNE, CODPROD)
 PCTFREE 10 INITRANS 2 MAXTRANS 255
;




/*******************************Constraints****************************/

ALTER TABLE SOLICITUD_CABIO_PRECIO ADD CONSTRAINT C_SOLICITUD_CABIO_PRECIO
 CHECK (moneda in (1,2))
;

ALTER TABLE PAGOS_EN_LINEA2 ADD CONSTRAINT CHECHKTIPO1
 CHECK (TIPO IN ('R','P'))
;
ALTER TABLE SOLICITUD_CABIO_PRECIO ADD CONSTRAINT CHK1
 CHECK (TIPO_SOLICITUD  in(1,2,3))
;

ALTER TABLE PARAM_COMPA ADD CONSTRAINT CKC_ESTADO_PARAM_CO
 CHECK (ESTADO is null or (ESTADO in ('V','F')))
;


/********************************FOREIGN CONSTRAINTS**********************/

ALTER TABLE PROVINCIAS ADD CONSTRAINT INTEG_249 FOREIGN KEY (CPAIS)
 REFERENCES LOGIC_021.PAISES (CPAIS)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE CANTONES ADD CONSTRAINT INTEG_250 FOREIGN KEY (CPAIS, CPROV)
 REFERENCES LOGIC_021.PROVINCIAS (CPAIS, CPROV)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE DISTRITOS ADD CONSTRAINT INTEG_251 FOREIGN KEY (CPAIS, CPROV, CCANTON)
 REFERENCES LOGIC_021.CANTONES (CPAIS, CPROV, CCANTON)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE LOCALIZATION ADD CONSTRAINT INTEG_252 FOREIGN KEY (CPAIS, CPROV, CCANTON, CDISTRI)
 REFERENCES LOGIC_021.DISTRITOS (CPAIS, CPROV, CCANTON, CDISTRI)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE LOCALIZATION ADD CONSTRAINT INTEG_253 FOREIGN KEY (CODINSEE)
 REFERENCES LOGIC_021.COMMUNE (CODINSEE)
 VALIDATE
;

ALTER TABLE HUB ADD CONSTRAINT INTEG_254 FOREIGN KEY (CODIGO_HEADEND)
 REFERENCES LOGIC_021.HEADEND (CODIGO_HEADEND)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE NODE ADD CONSTRAINT INTEG_255 FOREIGN KEY (CODIGO_HEADEND, CODIGO_HUB)
 REFERENCES LOGIC_021.HUB (CODIGO_HEADEND, CODIGO_HUB)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE RAMAL ADD CONSTRAINT INTEG_256 FOREIGN KEY (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 REFERENCES LOGIC_021.NODE (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE TAP ADD CONSTRAINT INTEG_257 FOREIGN KEY (CODIGO_HEADEND, CODIGO_HUB, NUMNODE, CODIGO_RAMAL)
 REFERENCES LOGIC_021.RAMAL (CODIGO_HEADEND, CODIGO_HUB, NUMNODE, CODIGO_RAMAL)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE LOCALIZACION_NODO ADD CONSTRAINT INTEG_258 FOREIGN KEY (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 REFERENCES LOGIC_021.NODE (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE LOCALIZACION_NODO ADD CONSTRAINT INTEG_259 FOREIGN KEY (CODINSEE, LOCALISATION)
 REFERENCES LOGIC_021.LOCALIZATION (CODINSEE, LOCALISATION)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE PRISE ADD CONSTRAINT INTEG_260 FOREIGN KEY (NUMABONNE)
 REFERENCES LOGIC_021.ABONNE (NUMABONNE)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE NODE ADD CONSTRAINT INTEG_265 FOREIGN KEY (ESTADO)
 REFERENCES LOGIC_021.ESTADO_NODO (ESTADO)
 VALIDATE
;

ALTER TABLE BITACORA_NODOS ADD CONSTRAINT INTEG_274 FOREIGN KEY (ESTADO)
 REFERENCES LOGIC_021.ESTADO_NODO (ESTADO)
 VALIDATE
;

ALTER TABLE BITACORA_NODOS ADD CONSTRAINT INTEG_275 FOREIGN KEY (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 REFERENCES LOGIC_021.NODE (CODIGO_HEADEND, CODIGO_HUB, NUMNODE)
 ON DELETE CASCADE
 VALIDATE
;

ALTER TABLE PARAMETRE ADD CONSTRAINT PARAMETREFOREIGNKEY1 FOREIGN KEY (CODTBL)
 REFERENCES LOGIC_021.TYPPARA (CODTBL)
 VALIDATE
;

ALTER TABLE UTILISATEUR ADD CONSTRAINT UTILISATEURFOREIGNKEY1 FOREIGN KEY (DROIT)
 REFERENCES LOGIC_021.DROITS (DROIT)
 VALIDATE
;



